pydo.apps.get_event_logs()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.apps.get_event_logs(
app_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
event_id="4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
follow=None,
type="BUILD",
pod_connection_timeout=None,
)Description
Retrieve the logs of an autoscaling event for an app.
Parameters
app_idstring requiredThe app ID
event_idstring requiredThe event ID
followboolean optionalWhether the logs should follow live updates.
typestring requiredThe type of logs to retrieve
- BUILD: Build-time logs
- DEPLOY: Deploy-time logs
- RUN: Live run-time logs
- RUN_RESTARTED: Logs of crashed/restarted instances during runtime
- AUTOSCALE_EVENT: Logs of an autoscaling event (requires event_id)pod_connection_timeoutstring optionalAn optional time duration to wait if the underlying component instance is not immediately available. Default:
3m.
Request Sample
Response Example
More Information
See /v2/apps/{app_id}/events/{event_id}/logs in the API reference for additional detail on responses, headers, parameters, and more.